# overseer

Self-hosted inventory tracker

## Installation/Deployment

`git clone https://git.metaunix.net/BitGoblin/overseer`

`npm install --no-dev`

`npm run sequelize db:migrate`

`npm run grunt`

`npm run prod`

## Development

Feel free to clone this project and submit Merge Requests or just fork it and make it your own!

You will need the following tools/libraries to develop Overseer:

* node.js
* NPM
* Grunt.js
* Git (not strictly required but ideal)

Other than that, you should be good to go! You can start the development server with `nodemon` to auto-reload changes:

`npm run nodemon`

And to auto-compile asset changes (e.g. SASS and JS):

`npm run grunt watch`

If all went well, you should be able to visit http://localhost:3000/ in your browser and see the dashboard.
